#!/usr/bin/env bash

# This is a presubmit (on-merge) CI script.
# Currently no CI runs it - so be a good cyborg, and run it before submitting
# changes to hscloud.

set -e -o pipefail

if [ -z "$hscloud_root" ]; then
    echo 2>&1 "Please first source env.sh"
    exit 1
fi

cd $hscloud_root

# Test critical tools.
tools/install.sh
kubectl version --client=true
kubecfg version
prodaccess --help 2>/dev/null
bazel run //cluster/clustercfg smoketest
